﻿Type=Service
Version=3.5
@EndOfDesignText@
#Region Module Attributes
	#StartAtBoot: False
#End Region

 
'Service module
Sub Process_Globals


	
	Dim GL As lgGL
	Dim LW As lgLiveWallpaper
	Dim Camera As lgOrthographicCamera
	Dim Batch As lgSpriteBatch
	Dim deltatime As Float
	

	Dim animtexture As lgTexture
	Dim anim As lgAnimation
	Dim animdimension As Int = 512 'frame size
	Dim animtile As Int = 4 
	Dim animspeed As Int = 0.13
	
	
	Dim minscreen As Int = Min(LW.Graphics.Height, LW.Graphics.width)
	Dim SH As Int = LW.Graphics.Height
	Dim SW As Int = LW.Graphics.width
End Sub


Sub Service_Create
End Sub

Sub Service_Start (StartingIntent As Intent)
	'Disables the accelerometer and the compass
	Dim Config As lgConfiguration
	Config.useAccelerometer = False
	Config.useCompass = False

	'Creates the libGDX surface and allows touch events
	LW.Initialize(Config, True, "LG")
	
End Sub

Sub Service_Destroy
	'This event is never raised by libGDX
End Sub

Sub LG_Create
'General
	Batch.Initialize
	
	animtexture.Initialize("sheet.png") 'loads png file 
	Dim animregion As lgTextureRegion  
	animregion.InitializeWithTexture(animtexture) 
	Dim animsplit(,) As lgTextureRegion=animregion.Split(animdimension,animdimension) 
	Dim animframes (animtile*animtile) As lgTextureRegion 
	
	Dim index As Int = 0
	Dim j As Int
	Dim i As Int
	For i=0 To animtile-1		
		For  j = 0 To animtile-1
		animframes(index)=animsplit(i,j)
		index=index+1
		Next
	Next
	
'start animation	
	anim.Initialize(animspeed,animframes)
	
	
End Sub

Sub LG_Resize(Width As Int, Height As Int)
	'Sets the camera viewport
	Camera.Initialize
	Camera.SetToOrtho2(False, Width, Height)
End Sub

Sub LG_OffsetChange(X_Offset As Float, Y_Offset As Float, X_OffsetStep As Float, Y_OffsetStep As Float, X_PixelOffset As Int, Y_PixelOffset As Int)
	'...
End Sub

Sub LG_PreviewStateChange(IsPreview As Boolean)
	'...
End Sub

Sub LG_Render
	'Clears the screen
	GL.glClear(GL.GL10_COLOR_BUFFER_BIT)
	
	LG_Update
	
	Batch.ProjectionMatrix = Camera.Combined
	
	deltatime = LW.graphics.deltatime
	
	animspeed = animspeed + deltatime
	Dim Fanime As lgTextureRegion
	Fanime=anim.GetKeyFrame2(animspeed,True)
	
Batch.begin

Batch.DrawRegion2(Fanime,SW/2-0.35*minscreen,SH/2-0.35*minscreen,0.7*minscreen,0.7*minscreen)

Batch.End
	'Draws
	'...
End Sub

Sub LG_Update
	'Updates the matrices of the camera
	Camera.Update

	
End Sub

Sub LG_Pause

End Sub

Sub LG_Resume


End Sub

Sub LG_Dispose
	'Disposes all resources
	animtexture.dispose
	Batch.dispose 
	
End Sub
